Package ghidra.rmi.trace

# Class TraceRmi.RootMessage.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.RootMessage.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RootMessage.Builder>
ghidra.rmi.trace.TraceRmi.RootMessage.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.RootMessageOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.RootMessage`

public static final class TraceRmi.RootMessage.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RootMessage.Builder> implements TraceRmi.RootMessageOrBuilder
Protobuf type `ghidra.rmi.trace.RootMessage`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.RootMessage`
  `build()`
  `TraceRmi.RootMessage`
  `buildPartial()`
  `TraceRmi.RootMessage.Builder`
  `clear()`
  `TraceRmi.RootMessage.Builder`
  `clearError()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.RootMessage.Builder`
  `clearMsg()`
  `TraceRmi.RootMessage.Builder`
  `clearReplyActivate()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyCloseTrace()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyCreateObject()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyCreateOverlay()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyCreateTrace()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyDeleteBytes()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyDeleteRegisterValue()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyDisassemble()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyEndTx()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyGetObject()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyGetValues()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyInsertObject()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyNegotiate()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyPutBytes()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyPutRegisterValue()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyRemoveObject()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyRetainValues()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.RootMessage.Builder`
  `clearReplySaveTrace()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.RootMessage.Builder`
  `clearReplySetMemoryState()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.RootMessage.Builder`
  `clearReplySetValue()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.RootMessage.Builder`
  `clearReplySnapshot()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.RootMessage.Builder`
  `clearReplyStartTx()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestActivate()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestCloseTrace()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestCreateObject()`
  Use same reply as CreateObject
  `TraceRmi.RootMessage.Builder`
  `clearRequestCreateOverlay()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestCreateRootObject()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestCreateTrace()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestDeleteBytes()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestDeleteRegisterValue()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestDisassemble()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestEndTx()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestGetObject()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestGetValues()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestGetValuesIntersecting()`
  Reuse reply_get_values
  `TraceRmi.RootMessage.Builder`
  `clearRequestInsertObject()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestNegotiate()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestPutBytes()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestPutRegisterValue()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestRemoveObject()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestRetainValues()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestSaveTrace()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestSetMemoryState()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestSetValue()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestSnapshot()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RootMessage.Builder`
  `clearRequestStartTx()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.RootMessage.Builder`
  `clearXreplyInvokeMethod()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.RootMessage.Builder`
  `clearXrequestInvokeMethod()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `TraceRmi.RootMessage`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `TraceRmi.ReplyError`
  `getError()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.ReplyError.Builder`
  `getErrorBuilder()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.ReplyErrorOrBuilder`
  `getErrorOrBuilder()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.RootMessage.MsgCase`
  `getMsgCase()`
  `TraceRmi.ReplyActivate`
  `getReplyActivate()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.ReplyActivate.Builder`
  `getReplyActivateBuilder()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.ReplyActivateOrBuilder`
  `getReplyActivateOrBuilder()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.ReplyCloseTrace`
  `getReplyCloseTrace()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.ReplyCloseTrace.Builder`
  `getReplyCloseTraceBuilder()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.ReplyCloseTraceOrBuilder`
  `getReplyCloseTraceOrBuilder()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.ReplyCreateObject`
  `getReplyCreateObject()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.ReplyCreateObject.Builder`
  `getReplyCreateObjectBuilder()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.ReplyCreateObjectOrBuilder`
  `getReplyCreateObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.ReplyCreateOverlaySpace`
  `getReplyCreateOverlay()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.ReplyCreateOverlaySpace.Builder`
  `getReplyCreateOverlayBuilder()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.ReplyCreateOverlaySpaceOrBuilder`
  `getReplyCreateOverlayOrBuilder()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.ReplyCreateTrace`
  `getReplyCreateTrace()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.ReplyCreateTrace.Builder`
  `getReplyCreateTraceBuilder()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.ReplyCreateTraceOrBuilder`
  `getReplyCreateTraceOrBuilder()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.ReplyDeleteBytes`
  `getReplyDeleteBytes()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.ReplyDeleteBytes.Builder`
  `getReplyDeleteBytesBuilder()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.ReplyDeleteBytesOrBuilder`
  `getReplyDeleteBytesOrBuilder()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.ReplyDeleteRegisterValue`
  `getReplyDeleteRegisterValue()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.ReplyDeleteRegisterValue.Builder`
  `getReplyDeleteRegisterValueBuilder()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.ReplyDeleteRegisterValueOrBuilder`
  `getReplyDeleteRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.ReplyDisassemble`
  `getReplyDisassemble()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.ReplyDisassemble.Builder`
  `getReplyDisassembleBuilder()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.ReplyDisassembleOrBuilder`
  `getReplyDisassembleOrBuilder()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.ReplyEndTx`
  `getReplyEndTx()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.ReplyEndTx.Builder`
  `getReplyEndTxBuilder()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.ReplyEndTxOrBuilder`
  `getReplyEndTxOrBuilder()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.ReplyGetObject`
  `getReplyGetObject()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.ReplyGetObject.Builder`
  `getReplyGetObjectBuilder()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.ReplyGetObjectOrBuilder`
  `getReplyGetObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.ReplyGetValues`
  `getReplyGetValues()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.ReplyGetValues.Builder`
  `getReplyGetValuesBuilder()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.ReplyGetValuesOrBuilder`
  `getReplyGetValuesOrBuilder()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.ReplyInsertObject`
  `getReplyInsertObject()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.ReplyInsertObject.Builder`
  `getReplyInsertObjectBuilder()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.ReplyInsertObjectOrBuilder`
  `getReplyInsertObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.ReplyNegotiate`
  `getReplyNegotiate()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.ReplyNegotiate.Builder`
  `getReplyNegotiateBuilder()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.ReplyNegotiateOrBuilder`
  `getReplyNegotiateOrBuilder()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.ReplyPutBytes`
  `getReplyPutBytes()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.ReplyPutBytes.Builder`
  `getReplyPutBytesBuilder()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.ReplyPutBytesOrBuilder`
  `getReplyPutBytesOrBuilder()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.ReplyPutRegisterValue`
  `getReplyPutRegisterValue()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.ReplyPutRegisterValue.Builder`
  `getReplyPutRegisterValueBuilder()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.ReplyPutRegisterValueOrBuilder`
  `getReplyPutRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.ReplyRemoveObject`
  `getReplyRemoveObject()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.ReplyRemoveObject.Builder`
  `getReplyRemoveObjectBuilder()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.ReplyRemoveObjectOrBuilder`
  `getReplyRemoveObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.ReplyRetainValues`
  `getReplyRetainValues()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.ReplyRetainValues.Builder`
  `getReplyRetainValuesBuilder()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.ReplyRetainValuesOrBuilder`
  `getReplyRetainValuesOrBuilder()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.ReplySaveTrace`
  `getReplySaveTrace()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.ReplySaveTrace.Builder`
  `getReplySaveTraceBuilder()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.ReplySaveTraceOrBuilder`
  `getReplySaveTraceOrBuilder()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.ReplySetMemoryState`
  `getReplySetMemoryState()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.ReplySetMemoryState.Builder`
  `getReplySetMemoryStateBuilder()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.ReplySetMemoryStateOrBuilder`
  `getReplySetMemoryStateOrBuilder()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.ReplySetValue`
  `getReplySetValue()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.ReplySetValue.Builder`
  `getReplySetValueBuilder()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.ReplySetValueOrBuilder`
  `getReplySetValueOrBuilder()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.ReplySnapshot`
  `getReplySnapshot()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.ReplySnapshot.Builder`
  `getReplySnapshotBuilder()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.ReplySnapshotOrBuilder`
  `getReplySnapshotOrBuilder()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.ReplyStartTx`
  `getReplyStartTx()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.ReplyStartTx.Builder`
  `getReplyStartTxBuilder()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.ReplyStartTxOrBuilder`
  `getReplyStartTxOrBuilder()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.RequestActivate`
  `getRequestActivate()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RequestActivate.Builder`
  `getRequestActivateBuilder()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RequestActivateOrBuilder`
  `getRequestActivateOrBuilder()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RequestCloseTrace`
  `getRequestCloseTrace()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RequestCloseTrace.Builder`
  `getRequestCloseTraceBuilder()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RequestCloseTraceOrBuilder`
  `getRequestCloseTraceOrBuilder()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RequestCreateObject`
  `getRequestCreateObject()`
  Use same reply as CreateObject
  `TraceRmi.RequestCreateObject.Builder`
  `getRequestCreateObjectBuilder()`
  Use same reply as CreateObject
  `TraceRmi.RequestCreateObjectOrBuilder`
  `getRequestCreateObjectOrBuilder()`
  Use same reply as CreateObject
  `TraceRmi.RequestCreateOverlaySpace`
  `getRequestCreateOverlay()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RequestCreateOverlaySpace.Builder`
  `getRequestCreateOverlayBuilder()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RequestCreateOverlaySpaceOrBuilder`
  `getRequestCreateOverlayOrBuilder()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RequestCreateRootObject`
  `getRequestCreateRootObject()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RequestCreateRootObject.Builder`
  `getRequestCreateRootObjectBuilder()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RequestCreateRootObjectOrBuilder`
  `getRequestCreateRootObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RequestCreateTrace`
  `getRequestCreateTrace()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RequestCreateTrace.Builder`
  `getRequestCreateTraceBuilder()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RequestCreateTraceOrBuilder`
  `getRequestCreateTraceOrBuilder()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RequestDeleteBytes`
  `getRequestDeleteBytes()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RequestDeleteBytes.Builder`
  `getRequestDeleteBytesBuilder()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RequestDeleteBytesOrBuilder`
  `getRequestDeleteBytesOrBuilder()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RequestDeleteRegisterValue`
  `getRequestDeleteRegisterValue()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RequestDeleteRegisterValue.Builder`
  `getRequestDeleteRegisterValueBuilder()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RequestDeleteRegisterValueOrBuilder`
  `getRequestDeleteRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RequestDisassemble`
  `getRequestDisassemble()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RequestDisassemble.Builder`
  `getRequestDisassembleBuilder()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RequestDisassembleOrBuilder`
  `getRequestDisassembleOrBuilder()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RequestEndTx`
  `getRequestEndTx()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RequestEndTx.Builder`
  `getRequestEndTxBuilder()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RequestEndTxOrBuilder`
  `getRequestEndTxOrBuilder()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RequestGetObject`
  `getRequestGetObject()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RequestGetObject.Builder`
  `getRequestGetObjectBuilder()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RequestGetObjectOrBuilder`
  `getRequestGetObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RequestGetValues`
  `getRequestGetValues()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RequestGetValues.Builder`
  `getRequestGetValuesBuilder()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RequestGetValuesIntersecting`
  `getRequestGetValuesIntersecting()`
  Reuse reply_get_values
  `TraceRmi.RequestGetValuesIntersecting.Builder`
  `getRequestGetValuesIntersectingBuilder()`
  Reuse reply_get_values
  `TraceRmi.RequestGetValuesIntersectingOrBuilder`
  `getRequestGetValuesIntersectingOrBuilder()`
  Reuse reply_get_values
  `TraceRmi.RequestGetValuesOrBuilder`
  `getRequestGetValuesOrBuilder()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RequestInsertObject`
  `getRequestInsertObject()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RequestInsertObject.Builder`
  `getRequestInsertObjectBuilder()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RequestInsertObjectOrBuilder`
  `getRequestInsertObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RequestNegotiate`
  `getRequestNegotiate()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RequestNegotiate.Builder`
  `getRequestNegotiateBuilder()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RequestNegotiateOrBuilder`
  `getRequestNegotiateOrBuilder()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RequestPutBytes`
  `getRequestPutBytes()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RequestPutBytes.Builder`
  `getRequestPutBytesBuilder()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RequestPutBytesOrBuilder`
  `getRequestPutBytesOrBuilder()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RequestPutRegisterValue`
  `getRequestPutRegisterValue()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `getRequestPutRegisterValueBuilder()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RequestPutRegisterValueOrBuilder`
  `getRequestPutRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RequestRemoveObject`
  `getRequestRemoveObject()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RequestRemoveObject.Builder`
  `getRequestRemoveObjectBuilder()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RequestRemoveObjectOrBuilder`
  `getRequestRemoveObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RequestRetainValues`
  `getRequestRetainValues()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RequestRetainValues.Builder`
  `getRequestRetainValuesBuilder()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RequestRetainValuesOrBuilder`
  `getRequestRetainValuesOrBuilder()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RequestSaveTrace`
  `getRequestSaveTrace()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RequestSaveTrace.Builder`
  `getRequestSaveTraceBuilder()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RequestSaveTraceOrBuilder`
  `getRequestSaveTraceOrBuilder()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RequestSetMemoryState`
  `getRequestSetMemoryState()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RequestSetMemoryState.Builder`
  `getRequestSetMemoryStateBuilder()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RequestSetMemoryStateOrBuilder`
  `getRequestSetMemoryStateOrBuilder()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RequestSetValue`
  `getRequestSetValue()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RequestSetValue.Builder`
  `getRequestSetValueBuilder()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RequestSetValueOrBuilder`
  `getRequestSetValueOrBuilder()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RequestSnapshot`
  `getRequestSnapshot()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RequestSnapshot.Builder`
  `getRequestSnapshotBuilder()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RequestSnapshotOrBuilder`
  `getRequestSnapshotOrBuilder()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RequestStartTx`
  `getRequestStartTx()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.RequestStartTx.Builder`
  `getRequestStartTxBuilder()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.RequestStartTxOrBuilder`
  `getRequestStartTxOrBuilder()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.XReplyInvokeMethod`
  `getXreplyInvokeMethod()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.XReplyInvokeMethod.Builder`
  `getXreplyInvokeMethodBuilder()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.XReplyInvokeMethodOrBuilder`
  `getXreplyInvokeMethodOrBuilder()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.XRequestInvokeMethod`
  `getXrequestInvokeMethod()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `getXrequestInvokeMethodBuilder()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `TraceRmi.XRequestInvokeMethodOrBuilder`
  `getXrequestInvokeMethodOrBuilder()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `boolean`
  `hasError()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `boolean`
  `hasReplyActivate()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `boolean`
  `hasReplyCloseTrace()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `boolean`
  `hasReplyCreateObject()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `boolean`
  `hasReplyCreateOverlay()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `boolean`
  `hasReplyCreateTrace()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `boolean`
  `hasReplyDeleteBytes()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `boolean`
  `hasReplyDeleteRegisterValue()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `boolean`
  `hasReplyDisassemble()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `boolean`
  `hasReplyEndTx()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `boolean`
  `hasReplyGetObject()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `boolean`
  `hasReplyGetValues()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `boolean`
  `hasReplyInsertObject()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `boolean`
  `hasReplyNegotiate()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `boolean`
  `hasReplyPutBytes()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `boolean`
  `hasReplyPutRegisterValue()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `boolean`
  `hasReplyRemoveObject()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `boolean`
  `hasReplyRetainValues()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `boolean`
  `hasReplySaveTrace()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `boolean`
  `hasReplySetMemoryState()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `boolean`
  `hasReplySetValue()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `boolean`
  `hasReplySnapshot()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `boolean`
  `hasReplyStartTx()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `boolean`
  `hasRequestActivate()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `boolean`
  `hasRequestCloseTrace()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `boolean`
  `hasRequestCreateObject()`
  Use same reply as CreateObject
  `boolean`
  `hasRequestCreateOverlay()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `boolean`
  `hasRequestCreateRootObject()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `boolean`
  `hasRequestCreateTrace()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `boolean`
  `hasRequestDeleteBytes()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `boolean`
  `hasRequestDeleteRegisterValue()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `boolean`
  `hasRequestDisassemble()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `boolean`
  `hasRequestEndTx()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `boolean`
  `hasRequestGetObject()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `boolean`
  `hasRequestGetValues()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `boolean`
  `hasRequestGetValuesIntersecting()`
  Reuse reply_get_values
  `boolean`
  `hasRequestInsertObject()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `boolean`
  `hasRequestNegotiate()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `boolean`
  `hasRequestPutBytes()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `boolean`
  `hasRequestPutRegisterValue()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `boolean`
  `hasRequestRemoveObject()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `boolean`
  `hasRequestRetainValues()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `boolean`
  `hasRequestSaveTrace()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `boolean`
  `hasRequestSetMemoryState()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `boolean`
  `hasRequestSetValue()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `boolean`
  `hasRequestSnapshot()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `boolean`
  `hasRequestStartTx()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `boolean`
  `hasXreplyInvokeMethod()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `boolean`
  `hasXrequestInvokeMethod()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.RootMessage.Builder`
  `mergeError(TraceRmi.ReplyError value)`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.RootMessage.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.RootMessage.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.RootMessage.Builder`
  `mergeFrom(TraceRmi.RootMessage other)`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyActivate(TraceRmi.ReplyActivate value)`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyCloseTrace(TraceRmi.ReplyCloseTrace value)`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyCreateObject(TraceRmi.ReplyCreateObject value)`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyCreateOverlay(TraceRmi.ReplyCreateOverlaySpace value)`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyCreateTrace(TraceRmi.ReplyCreateTrace value)`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyDeleteBytes(TraceRmi.ReplyDeleteBytes value)`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyDeleteRegisterValue(TraceRmi.ReplyDeleteRegisterValue value)`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyDisassemble(TraceRmi.ReplyDisassemble value)`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyEndTx(TraceRmi.ReplyEndTx value)`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyGetObject(TraceRmi.ReplyGetObject value)`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyGetValues(TraceRmi.ReplyGetValues value)`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyInsertObject(TraceRmi.ReplyInsertObject value)`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyNegotiate(TraceRmi.ReplyNegotiate value)`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyPutBytes(TraceRmi.ReplyPutBytes value)`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyPutRegisterValue(TraceRmi.ReplyPutRegisterValue value)`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyRemoveObject(TraceRmi.ReplyRemoveObject value)`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyRetainValues(TraceRmi.ReplyRetainValues value)`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplySaveTrace(TraceRmi.ReplySaveTrace value)`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplySetMemoryState(TraceRmi.ReplySetMemoryState value)`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplySetValue(TraceRmi.ReplySetValue value)`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplySnapshot(TraceRmi.ReplySnapshot value)`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.RootMessage.Builder`
  `mergeReplyStartTx(TraceRmi.ReplyStartTx value)`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestActivate(TraceRmi.RequestActivate value)`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestCloseTrace(TraceRmi.RequestCloseTrace value)`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestCreateObject(TraceRmi.RequestCreateObject value)`
  Use same reply as CreateObject
  `TraceRmi.RootMessage.Builder`
  `mergeRequestCreateOverlay(TraceRmi.RequestCreateOverlaySpace value)`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestCreateRootObject(TraceRmi.RequestCreateRootObject value)`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestCreateTrace(TraceRmi.RequestCreateTrace value)`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestDeleteBytes(TraceRmi.RequestDeleteBytes value)`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestDeleteRegisterValue(TraceRmi.RequestDeleteRegisterValue value)`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestDisassemble(TraceRmi.RequestDisassemble value)`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestEndTx(TraceRmi.RequestEndTx value)`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestGetObject(TraceRmi.RequestGetObject value)`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestGetValues(TraceRmi.RequestGetValues value)`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestGetValuesIntersecting(TraceRmi.RequestGetValuesIntersecting value)`
  Reuse reply_get_values
  `TraceRmi.RootMessage.Builder`
  `mergeRequestInsertObject(TraceRmi.RequestInsertObject value)`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestNegotiate(TraceRmi.RequestNegotiate value)`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestPutBytes(TraceRmi.RequestPutBytes value)`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestPutRegisterValue(TraceRmi.RequestPutRegisterValue value)`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestRemoveObject(TraceRmi.RequestRemoveObject value)`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestRetainValues(TraceRmi.RequestRetainValues value)`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestSaveTrace(TraceRmi.RequestSaveTrace value)`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestSetMemoryState(TraceRmi.RequestSetMemoryState value)`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestSetValue(TraceRmi.RequestSetValue value)`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestSnapshot(TraceRmi.RequestSnapshot value)`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RootMessage.Builder`
  `mergeRequestStartTx(TraceRmi.RequestStartTx value)`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.RootMessage.Builder`
  `mergeXreplyInvokeMethod(TraceRmi.XReplyInvokeMethod value)`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.RootMessage.Builder`
  `mergeXrequestInvokeMethod(TraceRmi.XRequestInvokeMethod value)`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `TraceRmi.RootMessage.Builder`
  `setError(TraceRmi.ReplyError value)`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.RootMessage.Builder`
  `setError(TraceRmi.ReplyError.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.RootMessage.Builder`
  `setReplyActivate(TraceRmi.ReplyActivate value)`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.RootMessage.Builder`
  `setReplyActivate(TraceRmi.ReplyActivate.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCloseTrace(TraceRmi.ReplyCloseTrace value)`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCloseTrace(TraceRmi.ReplyCloseTrace.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCreateObject(TraceRmi.ReplyCreateObject value)`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCreateObject(TraceRmi.ReplyCreateObject.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCreateOverlay(TraceRmi.ReplyCreateOverlaySpace value)`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCreateOverlay(TraceRmi.ReplyCreateOverlaySpace.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCreateTrace(TraceRmi.ReplyCreateTrace value)`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.RootMessage.Builder`
  `setReplyCreateTrace(TraceRmi.ReplyCreateTrace.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.RootMessage.Builder`
  `setReplyDeleteBytes(TraceRmi.ReplyDeleteBytes value)`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.RootMessage.Builder`
  `setReplyDeleteBytes(TraceRmi.ReplyDeleteBytes.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.RootMessage.Builder`
  `setReplyDeleteRegisterValue(TraceRmi.ReplyDeleteRegisterValue value)`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.RootMessage.Builder`
  `setReplyDeleteRegisterValue(TraceRmi.ReplyDeleteRegisterValue.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.RootMessage.Builder`
  `setReplyDisassemble(TraceRmi.ReplyDisassemble value)`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.RootMessage.Builder`
  `setReplyDisassemble(TraceRmi.ReplyDisassemble.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.RootMessage.Builder`
  `setReplyEndTx(TraceRmi.ReplyEndTx value)`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.RootMessage.Builder`
  `setReplyEndTx(TraceRmi.ReplyEndTx.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.RootMessage.Builder`
  `setReplyGetObject(TraceRmi.ReplyGetObject value)`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.RootMessage.Builder`
  `setReplyGetObject(TraceRmi.ReplyGetObject.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.RootMessage.Builder`
  `setReplyGetValues(TraceRmi.ReplyGetValues value)`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.RootMessage.Builder`
  `setReplyGetValues(TraceRmi.ReplyGetValues.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.RootMessage.Builder`
  `setReplyInsertObject(TraceRmi.ReplyInsertObject value)`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.RootMessage.Builder`
  `setReplyInsertObject(TraceRmi.ReplyInsertObject.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.RootMessage.Builder`
  `setReplyNegotiate(TraceRmi.ReplyNegotiate value)`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.RootMessage.Builder`
  `setReplyNegotiate(TraceRmi.ReplyNegotiate.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.RootMessage.Builder`
  `setReplyPutBytes(TraceRmi.ReplyPutBytes value)`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.RootMessage.Builder`
  `setReplyPutBytes(TraceRmi.ReplyPutBytes.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.RootMessage.Builder`
  `setReplyPutRegisterValue(TraceRmi.ReplyPutRegisterValue value)`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.RootMessage.Builder`
  `setReplyPutRegisterValue(TraceRmi.ReplyPutRegisterValue.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.RootMessage.Builder`
  `setReplyRemoveObject(TraceRmi.ReplyRemoveObject value)`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.RootMessage.Builder`
  `setReplyRemoveObject(TraceRmi.ReplyRemoveObject.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.RootMessage.Builder`
  `setReplyRetainValues(TraceRmi.ReplyRetainValues value)`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.RootMessage.Builder`
  `setReplyRetainValues(TraceRmi.ReplyRetainValues.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.RootMessage.Builder`
  `setReplySaveTrace(TraceRmi.ReplySaveTrace value)`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.RootMessage.Builder`
  `setReplySaveTrace(TraceRmi.ReplySaveTrace.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.RootMessage.Builder`
  `setReplySetMemoryState(TraceRmi.ReplySetMemoryState value)`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.RootMessage.Builder`
  `setReplySetMemoryState(TraceRmi.ReplySetMemoryState.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.RootMessage.Builder`
  `setReplySetValue(TraceRmi.ReplySetValue value)`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.RootMessage.Builder`
  `setReplySetValue(TraceRmi.ReplySetValue.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.RootMessage.Builder`
  `setReplySnapshot(TraceRmi.ReplySnapshot value)`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.RootMessage.Builder`
  `setReplySnapshot(TraceRmi.ReplySnapshot.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.RootMessage.Builder`
  `setReplyStartTx(TraceRmi.ReplyStartTx value)`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.RootMessage.Builder`
  `setReplyStartTx(TraceRmi.ReplyStartTx.Builder builderForValue)`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.RootMessage.Builder`
  `setRequestActivate(TraceRmi.RequestActivate value)`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RootMessage.Builder`
  `setRequestActivate(TraceRmi.RequestActivate.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCloseTrace(TraceRmi.RequestCloseTrace value)`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCloseTrace(TraceRmi.RequestCloseTrace.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateObject(TraceRmi.RequestCreateObject value)`
  Use same reply as CreateObject
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateObject(TraceRmi.RequestCreateObject.Builder builderForValue)`
  Use same reply as CreateObject
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateOverlay(TraceRmi.RequestCreateOverlaySpace value)`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateOverlay(TraceRmi.RequestCreateOverlaySpace.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateRootObject(TraceRmi.RequestCreateRootObject value)`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateRootObject(TraceRmi.RequestCreateRootObject.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateTrace(TraceRmi.RequestCreateTrace value)`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RootMessage.Builder`
  `setRequestCreateTrace(TraceRmi.RequestCreateTrace.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RootMessage.Builder`
  `setRequestDeleteBytes(TraceRmi.RequestDeleteBytes value)`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RootMessage.Builder`
  `setRequestDeleteBytes(TraceRmi.RequestDeleteBytes.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RootMessage.Builder`
  `setRequestDeleteRegisterValue(TraceRmi.RequestDeleteRegisterValue value)`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RootMessage.Builder`
  `setRequestDeleteRegisterValue(TraceRmi.RequestDeleteRegisterValue.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RootMessage.Builder`
  `setRequestDisassemble(TraceRmi.RequestDisassemble value)`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RootMessage.Builder`
  `setRequestDisassemble(TraceRmi.RequestDisassemble.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RootMessage.Builder`
  `setRequestEndTx(TraceRmi.RequestEndTx value)`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RootMessage.Builder`
  `setRequestEndTx(TraceRmi.RequestEndTx.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RootMessage.Builder`
  `setRequestGetObject(TraceRmi.RequestGetObject value)`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RootMessage.Builder`
  `setRequestGetObject(TraceRmi.RequestGetObject.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RootMessage.Builder`
  `setRequestGetValues(TraceRmi.RequestGetValues value)`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RootMessage.Builder`
  `setRequestGetValues(TraceRmi.RequestGetValues.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RootMessage.Builder`
  `setRequestGetValuesIntersecting(TraceRmi.RequestGetValuesIntersecting value)`
  Reuse reply_get_values
  `TraceRmi.RootMessage.Builder`
  `setRequestGetValuesIntersecting(TraceRmi.RequestGetValuesIntersecting.Builder builderForValue)`
  Reuse reply_get_values
  `TraceRmi.RootMessage.Builder`
  `setRequestInsertObject(TraceRmi.RequestInsertObject value)`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RootMessage.Builder`
  `setRequestInsertObject(TraceRmi.RequestInsertObject.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RootMessage.Builder`
  `setRequestNegotiate(TraceRmi.RequestNegotiate value)`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RootMessage.Builder`
  `setRequestNegotiate(TraceRmi.RequestNegotiate.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RootMessage.Builder`
  `setRequestPutBytes(TraceRmi.RequestPutBytes value)`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RootMessage.Builder`
  `setRequestPutBytes(TraceRmi.RequestPutBytes.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RootMessage.Builder`
  `setRequestPutRegisterValue(TraceRmi.RequestPutRegisterValue value)`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RootMessage.Builder`
  `setRequestPutRegisterValue(TraceRmi.RequestPutRegisterValue.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RootMessage.Builder`
  `setRequestRemoveObject(TraceRmi.RequestRemoveObject value)`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RootMessage.Builder`
  `setRequestRemoveObject(TraceRmi.RequestRemoveObject.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RootMessage.Builder`
  `setRequestRetainValues(TraceRmi.RequestRetainValues value)`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RootMessage.Builder`
  `setRequestRetainValues(TraceRmi.RequestRetainValues.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSaveTrace(TraceRmi.RequestSaveTrace value)`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSaveTrace(TraceRmi.RequestSaveTrace.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSetMemoryState(TraceRmi.RequestSetMemoryState value)`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSetMemoryState(TraceRmi.RequestSetMemoryState.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSetValue(TraceRmi.RequestSetValue value)`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSetValue(TraceRmi.RequestSetValue.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSnapshot(TraceRmi.RequestSnapshot value)`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RootMessage.Builder`
  `setRequestSnapshot(TraceRmi.RequestSnapshot.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RootMessage.Builder`
  `setRequestStartTx(TraceRmi.RequestStartTx value)`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.RootMessage.Builder`
  `setRequestStartTx(TraceRmi.RequestStartTx.Builder builderForValue)`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.RootMessage.Builder`
  `setXreplyInvokeMethod(TraceRmi.XReplyInvokeMethod value)`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.RootMessage.Builder`
  `setXreplyInvokeMethod(TraceRmi.XReplyInvokeMethod.Builder builderForValue)`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.RootMessage.Builder`
  `setXrequestInvokeMethod(TraceRmi.XRequestInvokeMethod value)`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `TraceRmi.RootMessage.Builder`
  `setXrequestInvokeMethod(TraceRmi.XRequestInvokeMethod.Builder builderForValue)`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RootMessage.Builder>`

  - ### clear

    public TraceRmi.RootMessage.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RootMessage.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RootMessage.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.RootMessage getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.RootMessage build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.RootMessage buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.RootMessage.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RootMessage.Builder>`

  - ### mergeFrom

    public TraceRmi.RootMessage.Builder mergeFrom(TraceRmi.RootMessage other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RootMessage.Builder>`

  - ### mergeFrom

    public TraceRmi.RootMessage.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RootMessage.Builder>`
    Throws:
      `IOException`

  - ### getMsgCase

    public TraceRmi.RootMessage.MsgCase getMsgCase()
    Specified by:
      `getMsgCase` in interface `TraceRmi.RootMessageOrBuilder`

  - ### clearMsg

    public TraceRmi.RootMessage.Builder clearMsg()

  - ### hasError

    public boolean hasError()
    `.ghidra.rmi.trace.ReplyError error = 1;`
    Specified by:
      `hasError` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the error field is set.

  - ### getError

    public TraceRmi.ReplyError getError()
    `.ghidra.rmi.trace.ReplyError error = 1;`
    Specified by:
      `getError` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The error.

  - ### setError

    public TraceRmi.RootMessage.Builder setError(TraceRmi.ReplyError value)
    `.ghidra.rmi.trace.ReplyError error = 1;`

  - ### setError

    public TraceRmi.RootMessage.Builder setError(TraceRmi.ReplyError.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyError error = 1;`

  - ### mergeError

    public TraceRmi.RootMessage.Builder mergeError(TraceRmi.ReplyError value)
    `.ghidra.rmi.trace.ReplyError error = 1;`

  - ### clearError

    public TraceRmi.RootMessage.Builder clearError()
    `.ghidra.rmi.trace.ReplyError error = 1;`

  - ### getErrorBuilder

    public TraceRmi.ReplyError.Builder getErrorBuilder()
    `.ghidra.rmi.trace.ReplyError error = 1;`

  - ### getErrorOrBuilder

    public TraceRmi.ReplyErrorOrBuilder getErrorOrBuilder()
    `.ghidra.rmi.trace.ReplyError error = 1;`
    Specified by:
      `getErrorOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestNegotiate

    public boolean hasRequestNegotiate()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
    Specified by:
      `hasRequestNegotiate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestNegotiate field is set.

  - ### getRequestNegotiate

    public TraceRmi.RequestNegotiate getRequestNegotiate()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
    Specified by:
      `getRequestNegotiate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestNegotiate.

  - ### setRequestNegotiate

    public TraceRmi.RootMessage.Builder setRequestNegotiate(TraceRmi.RequestNegotiate value)
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`

  - ### setRequestNegotiate

    public TraceRmi.RootMessage.Builder setRequestNegotiate(TraceRmi.RequestNegotiate.Builder builderForValue)
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`

  - ### mergeRequestNegotiate

    public TraceRmi.RootMessage.Builder mergeRequestNegotiate(TraceRmi.RequestNegotiate value)
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`

  - ### clearRequestNegotiate

    public TraceRmi.RootMessage.Builder clearRequestNegotiate()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`

  - ### getRequestNegotiateBuilder

    public TraceRmi.RequestNegotiate.Builder getRequestNegotiateBuilder()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`

  - ### getRequestNegotiateOrBuilder

    public TraceRmi.RequestNegotiateOrBuilder getRequestNegotiateOrBuilder()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
    Specified by:
      `getRequestNegotiateOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyNegotiate

    public boolean hasReplyNegotiate()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
    Specified by:
      `hasReplyNegotiate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyNegotiate field is set.

  - ### getReplyNegotiate

    public TraceRmi.ReplyNegotiate getReplyNegotiate()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
    Specified by:
      `getReplyNegotiate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyNegotiate.

  - ### setReplyNegotiate

    public TraceRmi.RootMessage.Builder setReplyNegotiate(TraceRmi.ReplyNegotiate value)
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`

  - ### setReplyNegotiate

    public TraceRmi.RootMessage.Builder setReplyNegotiate(TraceRmi.ReplyNegotiate.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`

  - ### mergeReplyNegotiate

    public TraceRmi.RootMessage.Builder mergeReplyNegotiate(TraceRmi.ReplyNegotiate value)
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`

  - ### clearReplyNegotiate

    public TraceRmi.RootMessage.Builder clearReplyNegotiate()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`

  - ### getReplyNegotiateBuilder

    public TraceRmi.ReplyNegotiate.Builder getReplyNegotiateBuilder()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`

  - ### getReplyNegotiateOrBuilder

    public TraceRmi.ReplyNegotiateOrBuilder getReplyNegotiateOrBuilder()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
    Specified by:
      `getReplyNegotiateOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestCreateTrace

    public boolean hasRequestCreateTrace()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
    Specified by:
      `hasRequestCreateTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestCreateTrace field is set.

  - ### getRequestCreateTrace

    public TraceRmi.RequestCreateTrace getRequestCreateTrace()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
    Specified by:
      `getRequestCreateTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestCreateTrace.

  - ### setRequestCreateTrace

    public TraceRmi.RootMessage.Builder setRequestCreateTrace(TraceRmi.RequestCreateTrace value)
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`

  - ### setRequestCreateTrace

    public TraceRmi.RootMessage.Builder setRequestCreateTrace(TraceRmi.RequestCreateTrace.Builder builderForValue)
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`

  - ### mergeRequestCreateTrace

    public TraceRmi.RootMessage.Builder mergeRequestCreateTrace(TraceRmi.RequestCreateTrace value)
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`

  - ### clearRequestCreateTrace

    public TraceRmi.RootMessage.Builder clearRequestCreateTrace()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`

  - ### getRequestCreateTraceBuilder

    public TraceRmi.RequestCreateTrace.Builder getRequestCreateTraceBuilder()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`

  - ### getRequestCreateTraceOrBuilder

    public TraceRmi.RequestCreateTraceOrBuilder getRequestCreateTraceOrBuilder()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
    Specified by:
      `getRequestCreateTraceOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyCreateTrace

    public boolean hasReplyCreateTrace()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
    Specified by:
      `hasReplyCreateTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyCreateTrace field is set.

  - ### getReplyCreateTrace

    public TraceRmi.ReplyCreateTrace getReplyCreateTrace()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
    Specified by:
      `getReplyCreateTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyCreateTrace.

  - ### setReplyCreateTrace

    public TraceRmi.RootMessage.Builder setReplyCreateTrace(TraceRmi.ReplyCreateTrace value)
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`

  - ### setReplyCreateTrace

    public TraceRmi.RootMessage.Builder setReplyCreateTrace(TraceRmi.ReplyCreateTrace.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`

  - ### mergeReplyCreateTrace

    public TraceRmi.RootMessage.Builder mergeReplyCreateTrace(TraceRmi.ReplyCreateTrace value)
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`

  - ### clearReplyCreateTrace

    public TraceRmi.RootMessage.Builder clearReplyCreateTrace()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`

  - ### getReplyCreateTraceBuilder

    public TraceRmi.ReplyCreateTrace.Builder getReplyCreateTraceBuilder()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`

  - ### getReplyCreateTraceOrBuilder

    public TraceRmi.ReplyCreateTraceOrBuilder getReplyCreateTraceOrBuilder()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
    Specified by:
      `getReplyCreateTraceOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestSaveTrace

    public boolean hasRequestSaveTrace()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
    Specified by:
      `hasRequestSaveTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestSaveTrace field is set.

  - ### getRequestSaveTrace

    public TraceRmi.RequestSaveTrace getRequestSaveTrace()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
    Specified by:
      `getRequestSaveTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestSaveTrace.

  - ### setRequestSaveTrace

    public TraceRmi.RootMessage.Builder setRequestSaveTrace(TraceRmi.RequestSaveTrace value)
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`

  - ### setRequestSaveTrace

    public TraceRmi.RootMessage.Builder setRequestSaveTrace(TraceRmi.RequestSaveTrace.Builder builderForValue)
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`

  - ### mergeRequestSaveTrace

    public TraceRmi.RootMessage.Builder mergeRequestSaveTrace(TraceRmi.RequestSaveTrace value)
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`

  - ### clearRequestSaveTrace

    public TraceRmi.RootMessage.Builder clearRequestSaveTrace()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`

  - ### getRequestSaveTraceBuilder

    public TraceRmi.RequestSaveTrace.Builder getRequestSaveTraceBuilder()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`

  - ### getRequestSaveTraceOrBuilder

    public TraceRmi.RequestSaveTraceOrBuilder getRequestSaveTraceOrBuilder()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
    Specified by:
      `getRequestSaveTraceOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplySaveTrace

    public boolean hasReplySaveTrace()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
    Specified by:
      `hasReplySaveTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replySaveTrace field is set.

  - ### getReplySaveTrace

    public TraceRmi.ReplySaveTrace getReplySaveTrace()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
    Specified by:
      `getReplySaveTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replySaveTrace.

  - ### setReplySaveTrace

    public TraceRmi.RootMessage.Builder setReplySaveTrace(TraceRmi.ReplySaveTrace value)
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`

  - ### setReplySaveTrace

    public TraceRmi.RootMessage.Builder setReplySaveTrace(TraceRmi.ReplySaveTrace.Builder builderForValue)
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`

  - ### mergeReplySaveTrace

    public TraceRmi.RootMessage.Builder mergeReplySaveTrace(TraceRmi.ReplySaveTrace value)
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`

  - ### clearReplySaveTrace

    public TraceRmi.RootMessage.Builder clearReplySaveTrace()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`

  - ### getReplySaveTraceBuilder

    public TraceRmi.ReplySaveTrace.Builder getReplySaveTraceBuilder()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`

  - ### getReplySaveTraceOrBuilder

    public TraceRmi.ReplySaveTraceOrBuilder getReplySaveTraceOrBuilder()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
    Specified by:
      `getReplySaveTraceOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestCloseTrace

    public boolean hasRequestCloseTrace()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
    Specified by:
      `hasRequestCloseTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestCloseTrace field is set.

  - ### getRequestCloseTrace

    public TraceRmi.RequestCloseTrace getRequestCloseTrace()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
    Specified by:
      `getRequestCloseTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestCloseTrace.

  - ### setRequestCloseTrace

    public TraceRmi.RootMessage.Builder setRequestCloseTrace(TraceRmi.RequestCloseTrace value)
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`

  - ### setRequestCloseTrace

    public TraceRmi.RootMessage.Builder setRequestCloseTrace(TraceRmi.RequestCloseTrace.Builder builderForValue)
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`

  - ### mergeRequestCloseTrace

    public TraceRmi.RootMessage.Builder mergeRequestCloseTrace(TraceRmi.RequestCloseTrace value)
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`

  - ### clearRequestCloseTrace

    public TraceRmi.RootMessage.Builder clearRequestCloseTrace()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`

  - ### getRequestCloseTraceBuilder

    public TraceRmi.RequestCloseTrace.Builder getRequestCloseTraceBuilder()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`

  - ### getRequestCloseTraceOrBuilder

    public TraceRmi.RequestCloseTraceOrBuilder getRequestCloseTraceOrBuilder()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
    Specified by:
      `getRequestCloseTraceOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyCloseTrace

    public boolean hasReplyCloseTrace()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
    Specified by:
      `hasReplyCloseTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyCloseTrace field is set.

  - ### getReplyCloseTrace

    public TraceRmi.ReplyCloseTrace getReplyCloseTrace()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
    Specified by:
      `getReplyCloseTrace` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyCloseTrace.

  - ### setReplyCloseTrace

    public TraceRmi.RootMessage.Builder setReplyCloseTrace(TraceRmi.ReplyCloseTrace value)
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`

  - ### setReplyCloseTrace

    public TraceRmi.RootMessage.Builder setReplyCloseTrace(TraceRmi.ReplyCloseTrace.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`

  - ### mergeReplyCloseTrace

    public TraceRmi.RootMessage.Builder mergeReplyCloseTrace(TraceRmi.ReplyCloseTrace value)
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`

  - ### clearReplyCloseTrace

    public TraceRmi.RootMessage.Builder clearReplyCloseTrace()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`

  - ### getReplyCloseTraceBuilder

    public TraceRmi.ReplyCloseTrace.Builder getReplyCloseTraceBuilder()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`

  - ### getReplyCloseTraceOrBuilder

    public TraceRmi.ReplyCloseTraceOrBuilder getReplyCloseTraceOrBuilder()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
    Specified by:
      `getReplyCloseTraceOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestStartTx

    public boolean hasRequestStartTx()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
    Specified by:
      `hasRequestStartTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestStartTx field is set.

  - ### getRequestStartTx

    public TraceRmi.RequestStartTx getRequestStartTx()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
    Specified by:
      `getRequestStartTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestStartTx.

  - ### setRequestStartTx

    public TraceRmi.RootMessage.Builder setRequestStartTx(TraceRmi.RequestStartTx value)
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`

  - ### setRequestStartTx

    public TraceRmi.RootMessage.Builder setRequestStartTx(TraceRmi.RequestStartTx.Builder builderForValue)
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`

  - ### mergeRequestStartTx

    public TraceRmi.RootMessage.Builder mergeRequestStartTx(TraceRmi.RequestStartTx value)
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`

  - ### clearRequestStartTx

    public TraceRmi.RootMessage.Builder clearRequestStartTx()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`

  - ### getRequestStartTxBuilder

    public TraceRmi.RequestStartTx.Builder getRequestStartTxBuilder()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`

  - ### getRequestStartTxOrBuilder

    public TraceRmi.RequestStartTxOrBuilder getRequestStartTxOrBuilder()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
    Specified by:
      `getRequestStartTxOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyStartTx

    public boolean hasReplyStartTx()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
    Specified by:
      `hasReplyStartTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyStartTx field is set.

  - ### getReplyStartTx

    public TraceRmi.ReplyStartTx getReplyStartTx()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
    Specified by:
      `getReplyStartTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyStartTx.

  - ### setReplyStartTx

    public TraceRmi.RootMessage.Builder setReplyStartTx(TraceRmi.ReplyStartTx value)
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`

  - ### setReplyStartTx

    public TraceRmi.RootMessage.Builder setReplyStartTx(TraceRmi.ReplyStartTx.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`

  - ### mergeReplyStartTx

    public TraceRmi.RootMessage.Builder mergeReplyStartTx(TraceRmi.ReplyStartTx value)
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`

  - ### clearReplyStartTx

    public TraceRmi.RootMessage.Builder clearReplyStartTx()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`

  - ### getReplyStartTxBuilder

    public TraceRmi.ReplyStartTx.Builder getReplyStartTxBuilder()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`

  - ### getReplyStartTxOrBuilder

    public TraceRmi.ReplyStartTxOrBuilder getReplyStartTxOrBuilder()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
    Specified by:
      `getReplyStartTxOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestEndTx

    public boolean hasRequestEndTx()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
    Specified by:
      `hasRequestEndTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestEndTx field is set.

  - ### getRequestEndTx

    public TraceRmi.RequestEndTx getRequestEndTx()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
    Specified by:
      `getRequestEndTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestEndTx.

  - ### setRequestEndTx

    public TraceRmi.RootMessage.Builder setRequestEndTx(TraceRmi.RequestEndTx value)
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`

  - ### setRequestEndTx

    public TraceRmi.RootMessage.Builder setRequestEndTx(TraceRmi.RequestEndTx.Builder builderForValue)
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`

  - ### mergeRequestEndTx

    public TraceRmi.RootMessage.Builder mergeRequestEndTx(TraceRmi.RequestEndTx value)
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`

  - ### clearRequestEndTx

    public TraceRmi.RootMessage.Builder clearRequestEndTx()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`

  - ### getRequestEndTxBuilder

    public TraceRmi.RequestEndTx.Builder getRequestEndTxBuilder()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`

  - ### getRequestEndTxOrBuilder

    public TraceRmi.RequestEndTxOrBuilder getRequestEndTxOrBuilder()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
    Specified by:
      `getRequestEndTxOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyEndTx

    public boolean hasReplyEndTx()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
    Specified by:
      `hasReplyEndTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyEndTx field is set.

  - ### getReplyEndTx

    public TraceRmi.ReplyEndTx getReplyEndTx()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
    Specified by:
      `getReplyEndTx` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyEndTx.

  - ### setReplyEndTx

    public TraceRmi.RootMessage.Builder setReplyEndTx(TraceRmi.ReplyEndTx value)
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`

  - ### setReplyEndTx

    public TraceRmi.RootMessage.Builder setReplyEndTx(TraceRmi.ReplyEndTx.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`

  - ### mergeReplyEndTx

    public TraceRmi.RootMessage.Builder mergeReplyEndTx(TraceRmi.ReplyEndTx value)
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`

  - ### clearReplyEndTx

    public TraceRmi.RootMessage.Builder clearReplyEndTx()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`

  - ### getReplyEndTxBuilder

    public TraceRmi.ReplyEndTx.Builder getReplyEndTxBuilder()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`

  - ### getReplyEndTxOrBuilder

    public TraceRmi.ReplyEndTxOrBuilder getReplyEndTxOrBuilder()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
    Specified by:
      `getReplyEndTxOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestCreateOverlay

    public boolean hasRequestCreateOverlay()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
    Specified by:
      `hasRequestCreateOverlay` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestCreateOverlay field is set.

  - ### getRequestCreateOverlay

    public TraceRmi.RequestCreateOverlaySpace getRequestCreateOverlay()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
    Specified by:
      `getRequestCreateOverlay` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestCreateOverlay.

  - ### setRequestCreateOverlay

    public TraceRmi.RootMessage.Builder setRequestCreateOverlay(TraceRmi.RequestCreateOverlaySpace value)
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`

  - ### setRequestCreateOverlay

    public TraceRmi.RootMessage.Builder setRequestCreateOverlay(TraceRmi.RequestCreateOverlaySpace.Builder builderForValue)
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`

  - ### mergeRequestCreateOverlay

    public TraceRmi.RootMessage.Builder mergeRequestCreateOverlay(TraceRmi.RequestCreateOverlaySpace value)
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`

  - ### clearRequestCreateOverlay

    public TraceRmi.RootMessage.Builder clearRequestCreateOverlay()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`

  - ### getRequestCreateOverlayBuilder

    public TraceRmi.RequestCreateOverlaySpace.Builder getRequestCreateOverlayBuilder()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`

  - ### getRequestCreateOverlayOrBuilder

    public TraceRmi.RequestCreateOverlaySpaceOrBuilder getRequestCreateOverlayOrBuilder()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
    Specified by:
      `getRequestCreateOverlayOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyCreateOverlay

    public boolean hasReplyCreateOverlay()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
    Specified by:
      `hasReplyCreateOverlay` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyCreateOverlay field is set.

  - ### getReplyCreateOverlay

    public TraceRmi.ReplyCreateOverlaySpace getReplyCreateOverlay()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
    Specified by:
      `getReplyCreateOverlay` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyCreateOverlay.

  - ### setReplyCreateOverlay

    public TraceRmi.RootMessage.Builder setReplyCreateOverlay(TraceRmi.ReplyCreateOverlaySpace value)
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`

  - ### setReplyCreateOverlay

    public TraceRmi.RootMessage.Builder setReplyCreateOverlay(TraceRmi.ReplyCreateOverlaySpace.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`

  - ### mergeReplyCreateOverlay

    public TraceRmi.RootMessage.Builder mergeReplyCreateOverlay(TraceRmi.ReplyCreateOverlaySpace value)
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`

  - ### clearReplyCreateOverlay

    public TraceRmi.RootMessage.Builder clearReplyCreateOverlay()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`

  - ### getReplyCreateOverlayBuilder

    public TraceRmi.ReplyCreateOverlaySpace.Builder getReplyCreateOverlayBuilder()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`

  - ### getReplyCreateOverlayOrBuilder

    public TraceRmi.ReplyCreateOverlaySpaceOrBuilder getReplyCreateOverlayOrBuilder()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
    Specified by:
      `getReplyCreateOverlayOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestSetMemoryState

    public boolean hasRequestSetMemoryState()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
    Specified by:
      `hasRequestSetMemoryState` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestSetMemoryState field is set.

  - ### getRequestSetMemoryState

    public TraceRmi.RequestSetMemoryState getRequestSetMemoryState()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
    Specified by:
      `getRequestSetMemoryState` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestSetMemoryState.

  - ### setRequestSetMemoryState

    public TraceRmi.RootMessage.Builder setRequestSetMemoryState(TraceRmi.RequestSetMemoryState value)
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`

  - ### setRequestSetMemoryState

    public TraceRmi.RootMessage.Builder setRequestSetMemoryState(TraceRmi.RequestSetMemoryState.Builder builderForValue)
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`

  - ### mergeRequestSetMemoryState

    public TraceRmi.RootMessage.Builder mergeRequestSetMemoryState(TraceRmi.RequestSetMemoryState value)
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`

  - ### clearRequestSetMemoryState

    public TraceRmi.RootMessage.Builder clearRequestSetMemoryState()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`

  - ### getRequestSetMemoryStateBuilder

    public TraceRmi.RequestSetMemoryState.Builder getRequestSetMemoryStateBuilder()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`

  - ### getRequestSetMemoryStateOrBuilder

    public TraceRmi.RequestSetMemoryStateOrBuilder getRequestSetMemoryStateOrBuilder()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
    Specified by:
      `getRequestSetMemoryStateOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplySetMemoryState

    public boolean hasReplySetMemoryState()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
    Specified by:
      `hasReplySetMemoryState` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replySetMemoryState field is set.

  - ### getReplySetMemoryState

    public TraceRmi.ReplySetMemoryState getReplySetMemoryState()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
    Specified by:
      `getReplySetMemoryState` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replySetMemoryState.

  - ### setReplySetMemoryState

    public TraceRmi.RootMessage.Builder setReplySetMemoryState(TraceRmi.ReplySetMemoryState value)
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`

  - ### setReplySetMemoryState

    public TraceRmi.RootMessage.Builder setReplySetMemoryState(TraceRmi.ReplySetMemoryState.Builder builderForValue)
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`

  - ### mergeReplySetMemoryState

    public TraceRmi.RootMessage.Builder mergeReplySetMemoryState(TraceRmi.ReplySetMemoryState value)
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`

  - ### clearReplySetMemoryState

    public TraceRmi.RootMessage.Builder clearReplySetMemoryState()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`

  - ### getReplySetMemoryStateBuilder

    public TraceRmi.ReplySetMemoryState.Builder getReplySetMemoryStateBuilder()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`

  - ### getReplySetMemoryStateOrBuilder

    public TraceRmi.ReplySetMemoryStateOrBuilder getReplySetMemoryStateOrBuilder()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
    Specified by:
      `getReplySetMemoryStateOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestPutBytes

    public boolean hasRequestPutBytes()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
    Specified by:
      `hasRequestPutBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestPutBytes field is set.

  - ### getRequestPutBytes

    public TraceRmi.RequestPutBytes getRequestPutBytes()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
    Specified by:
      `getRequestPutBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestPutBytes.

  - ### setRequestPutBytes

    public TraceRmi.RootMessage.Builder setRequestPutBytes(TraceRmi.RequestPutBytes value)
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`

  - ### setRequestPutBytes

    public TraceRmi.RootMessage.Builder setRequestPutBytes(TraceRmi.RequestPutBytes.Builder builderForValue)
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`

  - ### mergeRequestPutBytes

    public TraceRmi.RootMessage.Builder mergeRequestPutBytes(TraceRmi.RequestPutBytes value)
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`

  - ### clearRequestPutBytes

    public TraceRmi.RootMessage.Builder clearRequestPutBytes()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`

  - ### getRequestPutBytesBuilder

    public TraceRmi.RequestPutBytes.Builder getRequestPutBytesBuilder()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`

  - ### getRequestPutBytesOrBuilder

    public TraceRmi.RequestPutBytesOrBuilder getRequestPutBytesOrBuilder()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
    Specified by:
      `getRequestPutBytesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyPutBytes

    public boolean hasReplyPutBytes()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
    Specified by:
      `hasReplyPutBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyPutBytes field is set.

  - ### getReplyPutBytes

    public TraceRmi.ReplyPutBytes getReplyPutBytes()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
    Specified by:
      `getReplyPutBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyPutBytes.

  - ### setReplyPutBytes

    public TraceRmi.RootMessage.Builder setReplyPutBytes(TraceRmi.ReplyPutBytes value)
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`

  - ### setReplyPutBytes

    public TraceRmi.RootMessage.Builder setReplyPutBytes(TraceRmi.ReplyPutBytes.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`

  - ### mergeReplyPutBytes

    public TraceRmi.RootMessage.Builder mergeReplyPutBytes(TraceRmi.ReplyPutBytes value)
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`

  - ### clearReplyPutBytes

    public TraceRmi.RootMessage.Builder clearReplyPutBytes()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`

  - ### getReplyPutBytesBuilder

    public TraceRmi.ReplyPutBytes.Builder getReplyPutBytesBuilder()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`

  - ### getReplyPutBytesOrBuilder

    public TraceRmi.ReplyPutBytesOrBuilder getReplyPutBytesOrBuilder()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
    Specified by:
      `getReplyPutBytesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestDeleteBytes

    public boolean hasRequestDeleteBytes()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
    Specified by:
      `hasRequestDeleteBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestDeleteBytes field is set.

  - ### getRequestDeleteBytes

    public TraceRmi.RequestDeleteBytes getRequestDeleteBytes()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
    Specified by:
      `getRequestDeleteBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestDeleteBytes.

  - ### setRequestDeleteBytes

    public TraceRmi.RootMessage.Builder setRequestDeleteBytes(TraceRmi.RequestDeleteBytes value)
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`

  - ### setRequestDeleteBytes

    public TraceRmi.RootMessage.Builder setRequestDeleteBytes(TraceRmi.RequestDeleteBytes.Builder builderForValue)
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`

  - ### mergeRequestDeleteBytes

    public TraceRmi.RootMessage.Builder mergeRequestDeleteBytes(TraceRmi.RequestDeleteBytes value)
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`

  - ### clearRequestDeleteBytes

    public TraceRmi.RootMessage.Builder clearRequestDeleteBytes()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`

  - ### getRequestDeleteBytesBuilder

    public TraceRmi.RequestDeleteBytes.Builder getRequestDeleteBytesBuilder()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`

  - ### getRequestDeleteBytesOrBuilder

    public TraceRmi.RequestDeleteBytesOrBuilder getRequestDeleteBytesOrBuilder()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
    Specified by:
      `getRequestDeleteBytesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyDeleteBytes

    public boolean hasReplyDeleteBytes()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
    Specified by:
      `hasReplyDeleteBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyDeleteBytes field is set.

  - ### getReplyDeleteBytes

    public TraceRmi.ReplyDeleteBytes getReplyDeleteBytes()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
    Specified by:
      `getReplyDeleteBytes` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyDeleteBytes.

  - ### setReplyDeleteBytes

    public TraceRmi.RootMessage.Builder setReplyDeleteBytes(TraceRmi.ReplyDeleteBytes value)
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`

  - ### setReplyDeleteBytes

    public TraceRmi.RootMessage.Builder setReplyDeleteBytes(TraceRmi.ReplyDeleteBytes.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`

  - ### mergeReplyDeleteBytes

    public TraceRmi.RootMessage.Builder mergeReplyDeleteBytes(TraceRmi.ReplyDeleteBytes value)
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`

  - ### clearReplyDeleteBytes

    public TraceRmi.RootMessage.Builder clearReplyDeleteBytes()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`

  - ### getReplyDeleteBytesBuilder

    public TraceRmi.ReplyDeleteBytes.Builder getReplyDeleteBytesBuilder()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`

  - ### getReplyDeleteBytesOrBuilder

    public TraceRmi.ReplyDeleteBytesOrBuilder getReplyDeleteBytesOrBuilder()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
    Specified by:
      `getReplyDeleteBytesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestPutRegisterValue

    public boolean hasRequestPutRegisterValue()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
    Specified by:
      `hasRequestPutRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestPutRegisterValue field is set.

  - ### getRequestPutRegisterValue

    public TraceRmi.RequestPutRegisterValue getRequestPutRegisterValue()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
    Specified by:
      `getRequestPutRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestPutRegisterValue.

  - ### setRequestPutRegisterValue

    public TraceRmi.RootMessage.Builder setRequestPutRegisterValue(TraceRmi.RequestPutRegisterValue value)
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`

  - ### setRequestPutRegisterValue

    public TraceRmi.RootMessage.Builder setRequestPutRegisterValue(TraceRmi.RequestPutRegisterValue.Builder builderForValue)
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`

  - ### mergeRequestPutRegisterValue

    public TraceRmi.RootMessage.Builder mergeRequestPutRegisterValue(TraceRmi.RequestPutRegisterValue value)
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`

  - ### clearRequestPutRegisterValue

    public TraceRmi.RootMessage.Builder clearRequestPutRegisterValue()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`

  - ### getRequestPutRegisterValueBuilder

    public TraceRmi.RequestPutRegisterValue.Builder getRequestPutRegisterValueBuilder()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`

  - ### getRequestPutRegisterValueOrBuilder

    public TraceRmi.RequestPutRegisterValueOrBuilder getRequestPutRegisterValueOrBuilder()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
    Specified by:
      `getRequestPutRegisterValueOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyPutRegisterValue

    public boolean hasReplyPutRegisterValue()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
    Specified by:
      `hasReplyPutRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyPutRegisterValue field is set.

  - ### getReplyPutRegisterValue

    public TraceRmi.ReplyPutRegisterValue getReplyPutRegisterValue()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
    Specified by:
      `getReplyPutRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyPutRegisterValue.

  - ### setReplyPutRegisterValue

    public TraceRmi.RootMessage.Builder setReplyPutRegisterValue(TraceRmi.ReplyPutRegisterValue value)
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`

  - ### setReplyPutRegisterValue

    public TraceRmi.RootMessage.Builder setReplyPutRegisterValue(TraceRmi.ReplyPutRegisterValue.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`

  - ### mergeReplyPutRegisterValue

    public TraceRmi.RootMessage.Builder mergeReplyPutRegisterValue(TraceRmi.ReplyPutRegisterValue value)
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`

  - ### clearReplyPutRegisterValue

    public TraceRmi.RootMessage.Builder clearReplyPutRegisterValue()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`

  - ### getReplyPutRegisterValueBuilder

    public TraceRmi.ReplyPutRegisterValue.Builder getReplyPutRegisterValueBuilder()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`

  - ### getReplyPutRegisterValueOrBuilder

    public TraceRmi.ReplyPutRegisterValueOrBuilder getReplyPutRegisterValueOrBuilder()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
    Specified by:
      `getReplyPutRegisterValueOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestDeleteRegisterValue

    public boolean hasRequestDeleteRegisterValue()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
    Specified by:
      `hasRequestDeleteRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestDeleteRegisterValue field is set.

  - ### getRequestDeleteRegisterValue

    public TraceRmi.RequestDeleteRegisterValue getRequestDeleteRegisterValue()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
    Specified by:
      `getRequestDeleteRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestDeleteRegisterValue.

  - ### setRequestDeleteRegisterValue

    public TraceRmi.RootMessage.Builder setRequestDeleteRegisterValue(TraceRmi.RequestDeleteRegisterValue value)
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`

  - ### setRequestDeleteRegisterValue

    public TraceRmi.RootMessage.Builder setRequestDeleteRegisterValue(TraceRmi.RequestDeleteRegisterValue.Builder builderForValue)
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`

  - ### mergeRequestDeleteRegisterValue

    public TraceRmi.RootMessage.Builder mergeRequestDeleteRegisterValue(TraceRmi.RequestDeleteRegisterValue value)
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`

  - ### clearRequestDeleteRegisterValue

    public TraceRmi.RootMessage.Builder clearRequestDeleteRegisterValue()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`

  - ### getRequestDeleteRegisterValueBuilder

    public TraceRmi.RequestDeleteRegisterValue.Builder getRequestDeleteRegisterValueBuilder()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`

  - ### getRequestDeleteRegisterValueOrBuilder

    public TraceRmi.RequestDeleteRegisterValueOrBuilder getRequestDeleteRegisterValueOrBuilder()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
    Specified by:
      `getRequestDeleteRegisterValueOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyDeleteRegisterValue

    public boolean hasReplyDeleteRegisterValue()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
    Specified by:
      `hasReplyDeleteRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyDeleteRegisterValue field is set.

  - ### getReplyDeleteRegisterValue

    public TraceRmi.ReplyDeleteRegisterValue getReplyDeleteRegisterValue()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
    Specified by:
      `getReplyDeleteRegisterValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyDeleteRegisterValue.

  - ### setReplyDeleteRegisterValue

    public TraceRmi.RootMessage.Builder setReplyDeleteRegisterValue(TraceRmi.ReplyDeleteRegisterValue value)
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`

  - ### setReplyDeleteRegisterValue

    public TraceRmi.RootMessage.Builder setReplyDeleteRegisterValue(TraceRmi.ReplyDeleteRegisterValue.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`

  - ### mergeReplyDeleteRegisterValue

    public TraceRmi.RootMessage.Builder mergeReplyDeleteRegisterValue(TraceRmi.ReplyDeleteRegisterValue value)
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`

  - ### clearReplyDeleteRegisterValue

    public TraceRmi.RootMessage.Builder clearReplyDeleteRegisterValue()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`

  - ### getReplyDeleteRegisterValueBuilder

    public TraceRmi.ReplyDeleteRegisterValue.Builder getReplyDeleteRegisterValueBuilder()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`

  - ### getReplyDeleteRegisterValueOrBuilder

    public TraceRmi.ReplyDeleteRegisterValueOrBuilder getReplyDeleteRegisterValueOrBuilder()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
    Specified by:
      `getReplyDeleteRegisterValueOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestCreateRootObject

    public boolean hasRequestCreateRootObject()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
    Specified by:
      `hasRequestCreateRootObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestCreateRootObject field is set.

  - ### getRequestCreateRootObject

    public TraceRmi.RequestCreateRootObject getRequestCreateRootObject()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
    Specified by:
      `getRequestCreateRootObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestCreateRootObject.

  - ### setRequestCreateRootObject

    public TraceRmi.RootMessage.Builder setRequestCreateRootObject(TraceRmi.RequestCreateRootObject value)
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`

  - ### setRequestCreateRootObject

    public TraceRmi.RootMessage.Builder setRequestCreateRootObject(TraceRmi.RequestCreateRootObject.Builder builderForValue)
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`

  - ### mergeRequestCreateRootObject

    public TraceRmi.RootMessage.Builder mergeRequestCreateRootObject(TraceRmi.RequestCreateRootObject value)
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`

  - ### clearRequestCreateRootObject

    public TraceRmi.RootMessage.Builder clearRequestCreateRootObject()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`

  - ### getRequestCreateRootObjectBuilder

    public TraceRmi.RequestCreateRootObject.Builder getRequestCreateRootObjectBuilder()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`

  - ### getRequestCreateRootObjectOrBuilder

    public TraceRmi.RequestCreateRootObjectOrBuilder getRequestCreateRootObjectOrBuilder()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
    Specified by:
      `getRequestCreateRootObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestCreateObject

    public boolean hasRequestCreateObject()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`
    Specified by:
      `hasRequestCreateObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestCreateObject field is set.

  - ### getRequestCreateObject

    public TraceRmi.RequestCreateObject getRequestCreateObject()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`
    Specified by:
      `getRequestCreateObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestCreateObject.

  - ### setRequestCreateObject

    public TraceRmi.RootMessage.Builder setRequestCreateObject(TraceRmi.RequestCreateObject value)

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`

  - ### setRequestCreateObject

    public TraceRmi.RootMessage.Builder setRequestCreateObject(TraceRmi.RequestCreateObject.Builder builderForValue)

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`

  - ### mergeRequestCreateObject

    public TraceRmi.RootMessage.Builder mergeRequestCreateObject(TraceRmi.RequestCreateObject value)

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`

  - ### clearRequestCreateObject

    public TraceRmi.RootMessage.Builder clearRequestCreateObject()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`

  - ### getRequestCreateObjectBuilder

    public TraceRmi.RequestCreateObject.Builder getRequestCreateObjectBuilder()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`

  - ### getRequestCreateObjectOrBuilder

    public TraceRmi.RequestCreateObjectOrBuilder getRequestCreateObjectOrBuilder()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`
    Specified by:
      `getRequestCreateObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyCreateObject

    public boolean hasReplyCreateObject()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
    Specified by:
      `hasReplyCreateObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyCreateObject field is set.

  - ### getReplyCreateObject

    public TraceRmi.ReplyCreateObject getReplyCreateObject()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
    Specified by:
      `getReplyCreateObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyCreateObject.

  - ### setReplyCreateObject

    public TraceRmi.RootMessage.Builder setReplyCreateObject(TraceRmi.ReplyCreateObject value)
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`

  - ### setReplyCreateObject

    public TraceRmi.RootMessage.Builder setReplyCreateObject(TraceRmi.ReplyCreateObject.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`

  - ### mergeReplyCreateObject

    public TraceRmi.RootMessage.Builder mergeReplyCreateObject(TraceRmi.ReplyCreateObject value)
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`

  - ### clearReplyCreateObject

    public TraceRmi.RootMessage.Builder clearReplyCreateObject()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`

  - ### getReplyCreateObjectBuilder

    public TraceRmi.ReplyCreateObject.Builder getReplyCreateObjectBuilder()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`

  - ### getReplyCreateObjectOrBuilder

    public TraceRmi.ReplyCreateObjectOrBuilder getReplyCreateObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
    Specified by:
      `getReplyCreateObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestInsertObject

    public boolean hasRequestInsertObject()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
    Specified by:
      `hasRequestInsertObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestInsertObject field is set.

  - ### getRequestInsertObject

    public TraceRmi.RequestInsertObject getRequestInsertObject()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
    Specified by:
      `getRequestInsertObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestInsertObject.

  - ### setRequestInsertObject

    public TraceRmi.RootMessage.Builder setRequestInsertObject(TraceRmi.RequestInsertObject value)
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`

  - ### setRequestInsertObject

    public TraceRmi.RootMessage.Builder setRequestInsertObject(TraceRmi.RequestInsertObject.Builder builderForValue)
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`

  - ### mergeRequestInsertObject

    public TraceRmi.RootMessage.Builder mergeRequestInsertObject(TraceRmi.RequestInsertObject value)
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`

  - ### clearRequestInsertObject

    public TraceRmi.RootMessage.Builder clearRequestInsertObject()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`

  - ### getRequestInsertObjectBuilder

    public TraceRmi.RequestInsertObject.Builder getRequestInsertObjectBuilder()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`

  - ### getRequestInsertObjectOrBuilder

    public TraceRmi.RequestInsertObjectOrBuilder getRequestInsertObjectOrBuilder()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
    Specified by:
      `getRequestInsertObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyInsertObject

    public boolean hasReplyInsertObject()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
    Specified by:
      `hasReplyInsertObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyInsertObject field is set.

  - ### getReplyInsertObject

    public TraceRmi.ReplyInsertObject getReplyInsertObject()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
    Specified by:
      `getReplyInsertObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyInsertObject.

  - ### setReplyInsertObject

    public TraceRmi.RootMessage.Builder setReplyInsertObject(TraceRmi.ReplyInsertObject value)
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`

  - ### setReplyInsertObject

    public TraceRmi.RootMessage.Builder setReplyInsertObject(TraceRmi.ReplyInsertObject.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`

  - ### mergeReplyInsertObject

    public TraceRmi.RootMessage.Builder mergeReplyInsertObject(TraceRmi.ReplyInsertObject value)
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`

  - ### clearReplyInsertObject

    public TraceRmi.RootMessage.Builder clearReplyInsertObject()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`

  - ### getReplyInsertObjectBuilder

    public TraceRmi.ReplyInsertObject.Builder getReplyInsertObjectBuilder()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`

  - ### getReplyInsertObjectOrBuilder

    public TraceRmi.ReplyInsertObjectOrBuilder getReplyInsertObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
    Specified by:
      `getReplyInsertObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestRemoveObject

    public boolean hasRequestRemoveObject()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
    Specified by:
      `hasRequestRemoveObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestRemoveObject field is set.

  - ### getRequestRemoveObject

    public TraceRmi.RequestRemoveObject getRequestRemoveObject()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
    Specified by:
      `getRequestRemoveObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestRemoveObject.

  - ### setRequestRemoveObject

    public TraceRmi.RootMessage.Builder setRequestRemoveObject(TraceRmi.RequestRemoveObject value)
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`

  - ### setRequestRemoveObject

    public TraceRmi.RootMessage.Builder setRequestRemoveObject(TraceRmi.RequestRemoveObject.Builder builderForValue)
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`

  - ### mergeRequestRemoveObject

    public TraceRmi.RootMessage.Builder mergeRequestRemoveObject(TraceRmi.RequestRemoveObject value)
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`

  - ### clearRequestRemoveObject

    public TraceRmi.RootMessage.Builder clearRequestRemoveObject()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`

  - ### getRequestRemoveObjectBuilder

    public TraceRmi.RequestRemoveObject.Builder getRequestRemoveObjectBuilder()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`

  - ### getRequestRemoveObjectOrBuilder

    public TraceRmi.RequestRemoveObjectOrBuilder getRequestRemoveObjectOrBuilder()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
    Specified by:
      `getRequestRemoveObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyRemoveObject

    public boolean hasReplyRemoveObject()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
    Specified by:
      `hasReplyRemoveObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyRemoveObject field is set.

  - ### getReplyRemoveObject

    public TraceRmi.ReplyRemoveObject getReplyRemoveObject()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
    Specified by:
      `getReplyRemoveObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyRemoveObject.

  - ### setReplyRemoveObject

    public TraceRmi.RootMessage.Builder setReplyRemoveObject(TraceRmi.ReplyRemoveObject value)
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`

  - ### setReplyRemoveObject

    public TraceRmi.RootMessage.Builder setReplyRemoveObject(TraceRmi.ReplyRemoveObject.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`

  - ### mergeReplyRemoveObject

    public TraceRmi.RootMessage.Builder mergeReplyRemoveObject(TraceRmi.ReplyRemoveObject value)
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`

  - ### clearReplyRemoveObject

    public TraceRmi.RootMessage.Builder clearReplyRemoveObject()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`

  - ### getReplyRemoveObjectBuilder

    public TraceRmi.ReplyRemoveObject.Builder getReplyRemoveObjectBuilder()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`

  - ### getReplyRemoveObjectOrBuilder

    public TraceRmi.ReplyRemoveObjectOrBuilder getReplyRemoveObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
    Specified by:
      `getReplyRemoveObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestSetValue

    public boolean hasRequestSetValue()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
    Specified by:
      `hasRequestSetValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestSetValue field is set.

  - ### getRequestSetValue

    public TraceRmi.RequestSetValue getRequestSetValue()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
    Specified by:
      `getRequestSetValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestSetValue.

  - ### setRequestSetValue

    public TraceRmi.RootMessage.Builder setRequestSetValue(TraceRmi.RequestSetValue value)
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`

  - ### setRequestSetValue

    public TraceRmi.RootMessage.Builder setRequestSetValue(TraceRmi.RequestSetValue.Builder builderForValue)
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`

  - ### mergeRequestSetValue

    public TraceRmi.RootMessage.Builder mergeRequestSetValue(TraceRmi.RequestSetValue value)
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`

  - ### clearRequestSetValue

    public TraceRmi.RootMessage.Builder clearRequestSetValue()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`

  - ### getRequestSetValueBuilder

    public TraceRmi.RequestSetValue.Builder getRequestSetValueBuilder()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`

  - ### getRequestSetValueOrBuilder

    public TraceRmi.RequestSetValueOrBuilder getRequestSetValueOrBuilder()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
    Specified by:
      `getRequestSetValueOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplySetValue

    public boolean hasReplySetValue()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
    Specified by:
      `hasReplySetValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replySetValue field is set.

  - ### getReplySetValue

    public TraceRmi.ReplySetValue getReplySetValue()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
    Specified by:
      `getReplySetValue` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replySetValue.

  - ### setReplySetValue

    public TraceRmi.RootMessage.Builder setReplySetValue(TraceRmi.ReplySetValue value)
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`

  - ### setReplySetValue

    public TraceRmi.RootMessage.Builder setReplySetValue(TraceRmi.ReplySetValue.Builder builderForValue)
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`

  - ### mergeReplySetValue

    public TraceRmi.RootMessage.Builder mergeReplySetValue(TraceRmi.ReplySetValue value)
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`

  - ### clearReplySetValue

    public TraceRmi.RootMessage.Builder clearReplySetValue()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`

  - ### getReplySetValueBuilder

    public TraceRmi.ReplySetValue.Builder getReplySetValueBuilder()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`

  - ### getReplySetValueOrBuilder

    public TraceRmi.ReplySetValueOrBuilder getReplySetValueOrBuilder()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
    Specified by:
      `getReplySetValueOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestRetainValues

    public boolean hasRequestRetainValues()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
    Specified by:
      `hasRequestRetainValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestRetainValues field is set.

  - ### getRequestRetainValues

    public TraceRmi.RequestRetainValues getRequestRetainValues()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
    Specified by:
      `getRequestRetainValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestRetainValues.

  - ### setRequestRetainValues

    public TraceRmi.RootMessage.Builder setRequestRetainValues(TraceRmi.RequestRetainValues value)
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`

  - ### setRequestRetainValues

    public TraceRmi.RootMessage.Builder setRequestRetainValues(TraceRmi.RequestRetainValues.Builder builderForValue)
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`

  - ### mergeRequestRetainValues

    public TraceRmi.RootMessage.Builder mergeRequestRetainValues(TraceRmi.RequestRetainValues value)
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`

  - ### clearRequestRetainValues

    public TraceRmi.RootMessage.Builder clearRequestRetainValues()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`

  - ### getRequestRetainValuesBuilder

    public TraceRmi.RequestRetainValues.Builder getRequestRetainValuesBuilder()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`

  - ### getRequestRetainValuesOrBuilder

    public TraceRmi.RequestRetainValuesOrBuilder getRequestRetainValuesOrBuilder()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
    Specified by:
      `getRequestRetainValuesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyRetainValues

    public boolean hasReplyRetainValues()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
    Specified by:
      `hasReplyRetainValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyRetainValues field is set.

  - ### getReplyRetainValues

    public TraceRmi.ReplyRetainValues getReplyRetainValues()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
    Specified by:
      `getReplyRetainValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyRetainValues.

  - ### setReplyRetainValues

    public TraceRmi.RootMessage.Builder setReplyRetainValues(TraceRmi.ReplyRetainValues value)
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`

  - ### setReplyRetainValues

    public TraceRmi.RootMessage.Builder setReplyRetainValues(TraceRmi.ReplyRetainValues.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`

  - ### mergeReplyRetainValues

    public TraceRmi.RootMessage.Builder mergeReplyRetainValues(TraceRmi.ReplyRetainValues value)
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`

  - ### clearReplyRetainValues

    public TraceRmi.RootMessage.Builder clearReplyRetainValues()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`

  - ### getReplyRetainValuesBuilder

    public TraceRmi.ReplyRetainValues.Builder getReplyRetainValuesBuilder()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`

  - ### getReplyRetainValuesOrBuilder

    public TraceRmi.ReplyRetainValuesOrBuilder getReplyRetainValuesOrBuilder()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
    Specified by:
      `getReplyRetainValuesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestGetObject

    public boolean hasRequestGetObject()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
    Specified by:
      `hasRequestGetObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestGetObject field is set.

  - ### getRequestGetObject

    public TraceRmi.RequestGetObject getRequestGetObject()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
    Specified by:
      `getRequestGetObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestGetObject.

  - ### setRequestGetObject

    public TraceRmi.RootMessage.Builder setRequestGetObject(TraceRmi.RequestGetObject value)
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`

  - ### setRequestGetObject

    public TraceRmi.RootMessage.Builder setRequestGetObject(TraceRmi.RequestGetObject.Builder builderForValue)
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`

  - ### mergeRequestGetObject

    public TraceRmi.RootMessage.Builder mergeRequestGetObject(TraceRmi.RequestGetObject value)
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`

  - ### clearRequestGetObject

    public TraceRmi.RootMessage.Builder clearRequestGetObject()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`

  - ### getRequestGetObjectBuilder

    public TraceRmi.RequestGetObject.Builder getRequestGetObjectBuilder()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`

  - ### getRequestGetObjectOrBuilder

    public TraceRmi.RequestGetObjectOrBuilder getRequestGetObjectOrBuilder()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
    Specified by:
      `getRequestGetObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyGetObject

    public boolean hasReplyGetObject()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
    Specified by:
      `hasReplyGetObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyGetObject field is set.

  - ### getReplyGetObject

    public TraceRmi.ReplyGetObject getReplyGetObject()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
    Specified by:
      `getReplyGetObject` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyGetObject.

  - ### setReplyGetObject

    public TraceRmi.RootMessage.Builder setReplyGetObject(TraceRmi.ReplyGetObject value)
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`

  - ### setReplyGetObject

    public TraceRmi.RootMessage.Builder setReplyGetObject(TraceRmi.ReplyGetObject.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`

  - ### mergeReplyGetObject

    public TraceRmi.RootMessage.Builder mergeReplyGetObject(TraceRmi.ReplyGetObject value)
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`

  - ### clearReplyGetObject

    public TraceRmi.RootMessage.Builder clearReplyGetObject()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`

  - ### getReplyGetObjectBuilder

    public TraceRmi.ReplyGetObject.Builder getReplyGetObjectBuilder()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`

  - ### getReplyGetObjectOrBuilder

    public TraceRmi.ReplyGetObjectOrBuilder getReplyGetObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
    Specified by:
      `getReplyGetObjectOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestGetValues

    public boolean hasRequestGetValues()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
    Specified by:
      `hasRequestGetValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestGetValues field is set.

  - ### getRequestGetValues

    public TraceRmi.RequestGetValues getRequestGetValues()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
    Specified by:
      `getRequestGetValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestGetValues.

  - ### setRequestGetValues

    public TraceRmi.RootMessage.Builder setRequestGetValues(TraceRmi.RequestGetValues value)
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`

  - ### setRequestGetValues

    public TraceRmi.RootMessage.Builder setRequestGetValues(TraceRmi.RequestGetValues.Builder builderForValue)
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`

  - ### mergeRequestGetValues

    public TraceRmi.RootMessage.Builder mergeRequestGetValues(TraceRmi.RequestGetValues value)
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`

  - ### clearRequestGetValues

    public TraceRmi.RootMessage.Builder clearRequestGetValues()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`

  - ### getRequestGetValuesBuilder

    public TraceRmi.RequestGetValues.Builder getRequestGetValuesBuilder()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`

  - ### getRequestGetValuesOrBuilder

    public TraceRmi.RequestGetValuesOrBuilder getRequestGetValuesOrBuilder()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
    Specified by:
      `getRequestGetValuesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyGetValues

    public boolean hasReplyGetValues()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
    Specified by:
      `hasReplyGetValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyGetValues field is set.

  - ### getReplyGetValues

    public TraceRmi.ReplyGetValues getReplyGetValues()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
    Specified by:
      `getReplyGetValues` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyGetValues.

  - ### setReplyGetValues

    public TraceRmi.RootMessage.Builder setReplyGetValues(TraceRmi.ReplyGetValues value)
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`

  - ### setReplyGetValues

    public TraceRmi.RootMessage.Builder setReplyGetValues(TraceRmi.ReplyGetValues.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`

  - ### mergeReplyGetValues

    public TraceRmi.RootMessage.Builder mergeReplyGetValues(TraceRmi.ReplyGetValues value)
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`

  - ### clearReplyGetValues

    public TraceRmi.RootMessage.Builder clearReplyGetValues()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`

  - ### getReplyGetValuesBuilder

    public TraceRmi.ReplyGetValues.Builder getReplyGetValuesBuilder()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`

  - ### getReplyGetValuesOrBuilder

    public TraceRmi.ReplyGetValuesOrBuilder getReplyGetValuesOrBuilder()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
    Specified by:
      `getReplyGetValuesOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestGetValuesIntersecting

    public boolean hasRequestGetValuesIntersecting()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`
    Specified by:
      `hasRequestGetValuesIntersecting` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestGetValuesIntersecting field is set.

  - ### getRequestGetValuesIntersecting

    public TraceRmi.RequestGetValuesIntersecting getRequestGetValuesIntersecting()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`
    Specified by:
      `getRequestGetValuesIntersecting` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestGetValuesIntersecting.

  - ### setRequestGetValuesIntersecting

    public TraceRmi.RootMessage.Builder setRequestGetValuesIntersecting(TraceRmi.RequestGetValuesIntersecting value)

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`

  - ### setRequestGetValuesIntersecting

    public TraceRmi.RootMessage.Builder setRequestGetValuesIntersecting(TraceRmi.RequestGetValuesIntersecting.Builder builderForValue)

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`

  - ### mergeRequestGetValuesIntersecting

    public TraceRmi.RootMessage.Builder mergeRequestGetValuesIntersecting(TraceRmi.RequestGetValuesIntersecting value)

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`

  - ### clearRequestGetValuesIntersecting

    public TraceRmi.RootMessage.Builder clearRequestGetValuesIntersecting()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`

  - ### getRequestGetValuesIntersectingBuilder

    public TraceRmi.RequestGetValuesIntersecting.Builder getRequestGetValuesIntersectingBuilder()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`

  - ### getRequestGetValuesIntersectingOrBuilder

    public TraceRmi.RequestGetValuesIntersectingOrBuilder getRequestGetValuesIntersectingOrBuilder()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`
    Specified by:
      `getRequestGetValuesIntersectingOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestDisassemble

    public boolean hasRequestDisassemble()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
    Specified by:
      `hasRequestDisassemble` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestDisassemble field is set.

  - ### getRequestDisassemble

    public TraceRmi.RequestDisassemble getRequestDisassemble()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
    Specified by:
      `getRequestDisassemble` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestDisassemble.

  - ### setRequestDisassemble

    public TraceRmi.RootMessage.Builder setRequestDisassemble(TraceRmi.RequestDisassemble value)
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`

  - ### setRequestDisassemble

    public TraceRmi.RootMessage.Builder setRequestDisassemble(TraceRmi.RequestDisassemble.Builder builderForValue)
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`

  - ### mergeRequestDisassemble

    public TraceRmi.RootMessage.Builder mergeRequestDisassemble(TraceRmi.RequestDisassemble value)
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`

  - ### clearRequestDisassemble

    public TraceRmi.RootMessage.Builder clearRequestDisassemble()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`

  - ### getRequestDisassembleBuilder

    public TraceRmi.RequestDisassemble.Builder getRequestDisassembleBuilder()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`

  - ### getRequestDisassembleOrBuilder

    public TraceRmi.RequestDisassembleOrBuilder getRequestDisassembleOrBuilder()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
    Specified by:
      `getRequestDisassembleOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyDisassemble

    public boolean hasReplyDisassemble()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
    Specified by:
      `hasReplyDisassemble` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyDisassemble field is set.

  - ### getReplyDisassemble

    public TraceRmi.ReplyDisassemble getReplyDisassemble()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
    Specified by:
      `getReplyDisassemble` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyDisassemble.

  - ### setReplyDisassemble

    public TraceRmi.RootMessage.Builder setReplyDisassemble(TraceRmi.ReplyDisassemble value)
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`

  - ### setReplyDisassemble

    public TraceRmi.RootMessage.Builder setReplyDisassemble(TraceRmi.ReplyDisassemble.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`

  - ### mergeReplyDisassemble

    public TraceRmi.RootMessage.Builder mergeReplyDisassemble(TraceRmi.ReplyDisassemble value)
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`

  - ### clearReplyDisassemble

    public TraceRmi.RootMessage.Builder clearReplyDisassemble()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`

  - ### getReplyDisassembleBuilder

    public TraceRmi.ReplyDisassemble.Builder getReplyDisassembleBuilder()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`

  - ### getReplyDisassembleOrBuilder

    public TraceRmi.ReplyDisassembleOrBuilder getReplyDisassembleOrBuilder()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
    Specified by:
      `getReplyDisassembleOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestActivate

    public boolean hasRequestActivate()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
    Specified by:
      `hasRequestActivate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestActivate field is set.

  - ### getRequestActivate

    public TraceRmi.RequestActivate getRequestActivate()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
    Specified by:
      `getRequestActivate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestActivate.

  - ### setRequestActivate

    public TraceRmi.RootMessage.Builder setRequestActivate(TraceRmi.RequestActivate value)
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`

  - ### setRequestActivate

    public TraceRmi.RootMessage.Builder setRequestActivate(TraceRmi.RequestActivate.Builder builderForValue)
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`

  - ### mergeRequestActivate

    public TraceRmi.RootMessage.Builder mergeRequestActivate(TraceRmi.RequestActivate value)
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`

  - ### clearRequestActivate

    public TraceRmi.RootMessage.Builder clearRequestActivate()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`

  - ### getRequestActivateBuilder

    public TraceRmi.RequestActivate.Builder getRequestActivateBuilder()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`

  - ### getRequestActivateOrBuilder

    public TraceRmi.RequestActivateOrBuilder getRequestActivateOrBuilder()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
    Specified by:
      `getRequestActivateOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplyActivate

    public boolean hasReplyActivate()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
    Specified by:
      `hasReplyActivate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replyActivate field is set.

  - ### getReplyActivate

    public TraceRmi.ReplyActivate getReplyActivate()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
    Specified by:
      `getReplyActivate` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replyActivate.

  - ### setReplyActivate

    public TraceRmi.RootMessage.Builder setReplyActivate(TraceRmi.ReplyActivate value)
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`

  - ### setReplyActivate

    public TraceRmi.RootMessage.Builder setReplyActivate(TraceRmi.ReplyActivate.Builder builderForValue)
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`

  - ### mergeReplyActivate

    public TraceRmi.RootMessage.Builder mergeReplyActivate(TraceRmi.ReplyActivate value)
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`

  - ### clearReplyActivate

    public TraceRmi.RootMessage.Builder clearReplyActivate()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`

  - ### getReplyActivateBuilder

    public TraceRmi.ReplyActivate.Builder getReplyActivateBuilder()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`

  - ### getReplyActivateOrBuilder

    public TraceRmi.ReplyActivateOrBuilder getReplyActivateOrBuilder()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
    Specified by:
      `getReplyActivateOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasRequestSnapshot

    public boolean hasRequestSnapshot()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
    Specified by:
      `hasRequestSnapshot` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the requestSnapshot field is set.

  - ### getRequestSnapshot

    public TraceRmi.RequestSnapshot getRequestSnapshot()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
    Specified by:
      `getRequestSnapshot` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The requestSnapshot.

  - ### setRequestSnapshot

    public TraceRmi.RootMessage.Builder setRequestSnapshot(TraceRmi.RequestSnapshot value)
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`

  - ### setRequestSnapshot

    public TraceRmi.RootMessage.Builder setRequestSnapshot(TraceRmi.RequestSnapshot.Builder builderForValue)
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`

  - ### mergeRequestSnapshot

    public TraceRmi.RootMessage.Builder mergeRequestSnapshot(TraceRmi.RequestSnapshot value)
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`

  - ### clearRequestSnapshot

    public TraceRmi.RootMessage.Builder clearRequestSnapshot()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`

  - ### getRequestSnapshotBuilder

    public TraceRmi.RequestSnapshot.Builder getRequestSnapshotBuilder()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`

  - ### getRequestSnapshotOrBuilder

    public TraceRmi.RequestSnapshotOrBuilder getRequestSnapshotOrBuilder()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
    Specified by:
      `getRequestSnapshotOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasReplySnapshot

    public boolean hasReplySnapshot()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
    Specified by:
      `hasReplySnapshot` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the replySnapshot field is set.

  - ### getReplySnapshot

    public TraceRmi.ReplySnapshot getReplySnapshot()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
    Specified by:
      `getReplySnapshot` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The replySnapshot.

  - ### setReplySnapshot

    public TraceRmi.RootMessage.Builder setReplySnapshot(TraceRmi.ReplySnapshot value)
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`

  - ### setReplySnapshot

    public TraceRmi.RootMessage.Builder setReplySnapshot(TraceRmi.ReplySnapshot.Builder builderForValue)
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`

  - ### mergeReplySnapshot

    public TraceRmi.RootMessage.Builder mergeReplySnapshot(TraceRmi.ReplySnapshot value)
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`

  - ### clearReplySnapshot

    public TraceRmi.RootMessage.Builder clearReplySnapshot()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`

  - ### getReplySnapshotBuilder

    public TraceRmi.ReplySnapshot.Builder getReplySnapshotBuilder()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`

  - ### getReplySnapshotOrBuilder

    public TraceRmi.ReplySnapshotOrBuilder getReplySnapshotOrBuilder()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
    Specified by:
      `getReplySnapshotOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasXrequestInvokeMethod

    public boolean hasXrequestInvokeMethod()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
    Specified by:
      `hasXrequestInvokeMethod` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the xrequestInvokeMethod field is set.

  - ### getXrequestInvokeMethod

    public TraceRmi.XRequestInvokeMethod getXrequestInvokeMethod()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
    Specified by:
      `getXrequestInvokeMethod` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The xrequestInvokeMethod.

  - ### setXrequestInvokeMethod

    public TraceRmi.RootMessage.Builder setXrequestInvokeMethod(TraceRmi.XRequestInvokeMethod value)
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  - ### setXrequestInvokeMethod

    public TraceRmi.RootMessage.Builder setXrequestInvokeMethod(TraceRmi.XRequestInvokeMethod.Builder builderForValue)
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  - ### mergeXrequestInvokeMethod

    public TraceRmi.RootMessage.Builder mergeXrequestInvokeMethod(TraceRmi.XRequestInvokeMethod value)
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  - ### clearXrequestInvokeMethod

    public TraceRmi.RootMessage.Builder clearXrequestInvokeMethod()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  - ### getXrequestInvokeMethodBuilder

    public TraceRmi.XRequestInvokeMethod.Builder getXrequestInvokeMethodBuilder()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  - ### getXrequestInvokeMethodOrBuilder

    public TraceRmi.XRequestInvokeMethodOrBuilder getXrequestInvokeMethodOrBuilder()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
    Specified by:
      `getXrequestInvokeMethodOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`

  - ### hasXreplyInvokeMethod

    public boolean hasXreplyInvokeMethod()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
    Specified by:
      `hasXreplyInvokeMethod` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      Whether the xreplyInvokeMethod field is set.

  - ### getXreplyInvokeMethod

    public TraceRmi.XReplyInvokeMethod getXreplyInvokeMethod()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
    Specified by:
      `getXreplyInvokeMethod` in interface `TraceRmi.RootMessageOrBuilder`
    Returns:
      The xreplyInvokeMethod.

  - ### setXreplyInvokeMethod

    public TraceRmi.RootMessage.Builder setXreplyInvokeMethod(TraceRmi.XReplyInvokeMethod value)
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`

  - ### setXreplyInvokeMethod

    public TraceRmi.RootMessage.Builder setXreplyInvokeMethod(TraceRmi.XReplyInvokeMethod.Builder builderForValue)
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`

  - ### mergeXreplyInvokeMethod

    public TraceRmi.RootMessage.Builder mergeXreplyInvokeMethod(TraceRmi.XReplyInvokeMethod value)
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`

  - ### clearXreplyInvokeMethod

    public TraceRmi.RootMessage.Builder clearXreplyInvokeMethod()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`

  - ### getXreplyInvokeMethodBuilder

    public TraceRmi.XReplyInvokeMethod.Builder getXreplyInvokeMethodBuilder()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`

  - ### getXreplyInvokeMethodOrBuilder

    public TraceRmi.XReplyInvokeMethodOrBuilder getXreplyInvokeMethodOrBuilder()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
    Specified by:
      `getXreplyInvokeMethodOrBuilder` in interface `TraceRmi.RootMessageOrBuilder`